View Issue Details

IDProjectCategoryView StatusLast Update
0020768LazarusLCLpublic2016-05-02 17:48
ReporterMarcos Douglas Assigned ToLuiz Americo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386/x86_64OSWindows 
Product Version0.9.30.3 (SVN) 
Summary0020768: TDBLookupComboBox does not use DisplayText to show value
DescriptionThe TDBLookupComboBox uses Field.AsString or Field.Value to access the
data... but I have problems with it using Unicode.
I use MSSQL and I have to convert the string data using
SysToUTF8/UTF8ToSys in Field.OnGetText/OnSetText events.
This works in TDBGrid, but not in TDBLookupComboBox.

I'm working in a patch but I'm not finished yet.
Additional InformationField.OnGetText/OnSetText:
http://bugs.freepascal.org/view.php?id=12206
TagsDB, dbcontrols, local procedures
Fixed in Revision34082
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0016125 resolvedLuiz Americo OnGetText is not used in DBLookUpCombox ListSource 
related to 0020841 closedLuiz Americo DBLookup* controls set wrong value when master dataset has a list field with the same value 

Activities

Marcos Douglas

2011-11-29 12:50

reporter   ~0054549

There is other bug in TDBLookupComboBox:
If AutoDropDown is False, I can't select an item if I:
1. Alt+VK_DOWN
2. ENTER

Nothing happens.
But if AutoDropDown is True, ENTER works.

Luiz Americo

2011-12-10 14:47

developer   ~0054908

Fixed the DisplayText issue
Open another bug for the Alt+VK_DOWN problem

Issue History

Date Modified Username Field Change
2011-11-28 15:36 Marcos Douglas New Issue
2011-11-28 15:36 Marcos Douglas Widgetset => Win32/Win64
2011-11-28 15:38 Marcos Douglas Tag Attached: DB
2011-11-28 15:38 Marcos Douglas Tag Attached: dbcontrols
2011-11-28 15:38 Marcos Douglas Tag Attached: local procedures
2011-11-28 16:51 Luiz Americo Status new => assigned
2011-11-28 16:51 Luiz Americo Assigned To => Luiz Americo
2011-11-29 12:50 Marcos Douglas Note Added: 0054549
2011-12-08 14:20 Luiz Americo Relationship added related to 0020841
2011-12-10 14:47 Luiz Americo Fixed in Revision => 34082
2011-12-10 14:47 Luiz Americo LazTarget => -
2011-12-10 14:47 Luiz Americo Status assigned => resolved
2011-12-10 14:47 Luiz Americo Resolution open => fixed
2011-12-10 14:47 Luiz Americo Note Added: 0054908
2012-02-04 15:03 Luiz Americo Relationship added has duplicate 0016125
2012-02-04 15:04 Luiz Americo Summary TDBLookupComboBox (dblookup.inc) => TDBLookupComboBox does not use DisplayText to show value
2016-05-02 17:48 Marcos Douglas Status resolved => closed